Navlinks
Get all NavLinks for a store
GEThttps://api.paynow.gg/v1/stores/{storeId}/navlinks
Retrieves all navigation links for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve navigation links for.
Response
200OKNavLinkDto[]
Represents a link in the storefront's navigation. Each link points at a tag, and links nest under
one another through 'parent_node_id' to form the navigation tree.
Show fieldsHide fields
namestringRequired
The text shown for the link, taken from the tag it points at.
node_idstringRequired
The unique identifier of the navigation link.
tag_idFlakeIdRequired
tag_slugstringRequired
The slug of the tag the link points at.
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/navlinks" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.navlinks.getNavLinks();import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/navlinks", headers=headers)Response200
[
{
"name": "string",
"node_id": "string",
"tag_id": "411486491630370816",
"tag_slug": "string",
"order": 0,
"parent_node_id": "string"
}
]Create a new NavLink for a store
POSThttps://api.paynow.gg/v1/stores/{storeId}/navlinks
Creates a new navigation link in the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to create the navigation link in.
Request body
tag_idFlakeIdRequired
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
Response
200OKNavLinkDto
Represents a link in the storefront's navigation. Each link points at a tag, and links nest under
one another through 'parent_node_id' to form the navigation tree.
Show fieldsHide fields
namestringRequired
The text shown for the link, taken from the tag it points at.
node_idstringRequired
The unique identifier of the navigation link.
tag_idFlakeIdRequired
tag_slugstringRequired
The slug of the tag the link points at.
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
Failed requests return a PayNowError body. See the error response guide.
curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/navlinks" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"tag_id": "411486491630370816",
"order": 0,
"parent_node_id": "string"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.navlinks.createNavLink({
tag_id: "411486491630370816",
order: 0,
parent_node_id: "string",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"tag_id": "411486491630370816",
"order": 0,
"parent_node_id": "string",
}
response = requests.post("https://api.paynow.gg/v1/stores/{storeId}/navlinks", headers=headers, json=payload)Response200
{
"name": "string",
"node_id": "string",
"tag_id": "411486491630370816",
"tag_slug": "string",
"order": 0,
"parent_node_id": "string"
}Get a NavLink by ID for a store
GEThttps://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}
Retrieves a navigation link by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve the navigation link for.
navLinkIdFlakeIdRequired
The ID of the navigation link.
Response
200OKNavLinkDto
Represents a link in the storefront's navigation. Each link points at a tag, and links nest under
one another through 'parent_node_id' to form the navigation tree.
Show fieldsHide fields
namestringRequired
The text shown for the link, taken from the tag it points at.
node_idstringRequired
The unique identifier of the navigation link.
tag_idFlakeIdRequired
tag_slugstringRequired
The slug of the tag the link points at.
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
Failed requests return a PayNowError body. See the error response guide.
curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.navlinks.getNavLink("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.get("https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}", headers=headers)Response200
{
"name": "string",
"node_id": "string",
"tag_id": "411486491630370816",
"tag_slug": "string",
"order": 0,
"parent_node_id": "string"
}Update a NavLink By ID for a store
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}
Performs a delta update of a navigation link by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to update the navigation link for.
navLinkIdFlakeIdRequired
The ID of the navigation link.
Request body
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
tag_idFlakeIdOptional
Response
200OKNavLinkDto
Represents a link in the storefront's navigation. Each link points at a tag, and links nest under
one another through 'parent_node_id' to form the navigation tree.
Show fieldsHide fields
namestringRequired
The text shown for the link, taken from the tag it points at.
node_idstringRequired
The unique identifier of the navigation link.
tag_idFlakeIdRequired
tag_slugstringRequired
The slug of the tag the link points at.
orderintegerOptional
The position of the link among its siblings, lowest first, or null when no explicit order has
been set.
parent_node_idstringOptional
The 'node_id' of the link this one nests under, or null when it sits at the top level of the
navigation.
Failed requests return a PayNowError body. See the error response guide.
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '{
"order": 0,
"parent_node_id": "string",
"tag_id": "411486491630370816"
}'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
const result = await paynow.navlinks.updateNavLink("411486491630370816", {
order: 0,
parent_node_id: "string",
tag_id: "411486491630370816",
});import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = {
"order": 0,
"parent_node_id": "string",
"tag_id": "411486491630370816",
}
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}", headers=headers, json=payload)Response200
{
"name": "string",
"node_id": "string",
"tag_id": "411486491630370816",
"tag_slug": "string",
"order": 0,
"parent_node_id": "string"
}Delete a NavLink for a store
DELETEhttps://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}
Deletes a navigation link by the ID for the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to delete the navigation link for.
navLinkIdFlakeIdRequired
The ID of the navigation link.
curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}" \
-H "Authorization: APIKey TOKEN"import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.navlinks.deleteNavLink("411486491630370816");import requests
headers = {"Authorization": "APIKey TOKEN"}
response = requests.delete("https://api.paynow.gg/v1/stores/{storeId}/navlinks/{navLinkId}", headers=headers)Update the sort orders of NavLinks for a Store
PATCHhttps://api.paynow.gg/v1/stores/{storeId}/navlinks/sort-orders
Updates the sort order of navigation links in the specified store.
Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as
Authorization: APIKey TOKEN.Path parameters
storeIdFlakeIdRequired
The ID of the store to update navigation link sort orders in.
Request body
node_idFlakeIdRequired
orderintegerRequired
curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/navlinks/sort-orders" \
-H "Authorization: APIKey TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"node_id": "411486491630370816",
"order": 0
}
]'import { createManagementClient } from "@paynow-gg/typescript-sdk";
const paynow = createManagementClient({
apiKey: "API_KEY",
storeId: "STORE_ID",
});
await paynow.navlinks.updateNavLinkOrder([
{
node_id: "411486491630370816",
order: 0,
},
]);import requests
headers = {"Authorization": "APIKey TOKEN"}
payload = [
{
"node_id": "411486491630370816",
"order": 0,
},
]
response = requests.patch("https://api.paynow.gg/v1/stores/{storeId}/navlinks/sort-orders", headers=headers, json=payload)